aboutsummaryrefslogtreecommitdiffstats
path: root/k6-tests/setup.sh
diff options
context:
space:
mode:
authordanielhanrahan <daniel.hanrahan@est.tech>2024-04-29 16:16:42 +0100
committerdanielhanrahan <daniel.hanrahan@est.tech>2024-05-22 17:09:30 +0100
commitc0b6f3ad5ed529e4f3261cbf6eed44faec3883a4 (patch)
tree5841537492c76fb1ed635177c4c7419435032730 /k6-tests/setup.sh
parent6d85c1547fad014fbea44af57440e3de1c3ce9ff (diff)
Add k6 performance tests for NCMP
This commit adds K6 tests for NCMP functionalities: - Registration of 20000 CM-handles - Synchronous single CM-handle passthrough read operation - CM-handle and ID searches for no filter, module, and public property - De-registration of 20000 CM-handles - A mixed load test Also includes a README and shell scripts to run all tests. Issue-ID: CPS-2199 Signed-off-by: danielhanrahan <daniel.hanrahan@est.tech> Change-Id: Ia2e59674057ed28f5f9ceed9465133f7c0ce8318
Diffstat (limited to 'k6-tests/setup.sh')
-rwxr-xr-xk6-tests/setup.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/k6-tests/setup.sh b/k6-tests/setup.sh
new file mode 100755
index 000000000..4805e2ea4
--- /dev/null
+++ b/k6-tests/setup.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+#
+# Copyright 2024 Nordix Foundation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+docker-compose -f ../docker-compose/docker-compose.yml --profile dmi-stub up -d
+
+echo "Waiting for CPS to start..."
+READY_MESSAGE='Processing module sync fetched 0 advised cm handles from DB'
+docker logs cps-and-ncmp -f | grep -m 1 "$READY_MESSAGE" >/dev/null || true